import request from '@/utils/request'

// 查询镜像管理列表
export function listManager(query) {
  return request({
    url: '/ai/mirror/list',
    method: 'get',
    params: query
  })
}

export function listAll(query) {
  return request({
    url: '/ai/model/listAll',
    method: 'get',
    params: query
  })
}

export function getModelNameList() {
  return request({
    url: '/ai/model/getModelNameList',
    method: 'post'
  })
}


export function getModelVersionList(data) {
  return request({
    url: '/ai/model/getModelVersionList',
    method: 'post',
    data:data
  })
}

// 查询镜像管理详细
export function getManager(id) {
  return request({
    url: '/ai/mirror/' + id,
    method: 'get'
  })
}

// 新增镜像管理
export function addManager(data) {
  return request({
    url: '/ai/mirror/add',
    method: 'post',
    data: data
  })
}

// 修改镜像管理
export function updateManager(data) {
  return request({
    url: '/ai/mirror/edit',
    method: 'post',
    data: data
  })
}

// 删除镜像管理
export function delManager(id) {
  return request({
    url: '/ai/mirror/delete/' + id,
    method: 'post'
  })
}

export function uploadFile(formData) {
  return request({
    url: '/ai/mirror/uploadFile',
    method: 'post',
    data: formData,
    timeout: 600000, // 设置超时时间为 10 秒（10000 毫秒）
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}
